%define pre_rel rc
%define rel 6
 
Name: digikam
Version: 2.6.0
Epoch: 1
Release:  %mkrel -c %{pre_rel} %{rel}
License: GPLv2+ 
Url: http://www.digikam.org
Group: Graphics
Source0: http://downloads.sourceforge.net/digikam/%{name}-software-compilation-%{version}-%{pre_rel}.tar.bz2
Summary:       A KDE photo management utility
BuildRequires: kdepimlibs4-devel
BuildRequires: pkgconfig(libkexiv2)
BuildRequires: pkgconfig(libksane)
BuildRequires: pkgconfig(libkdcraw)
BuildRequires: pkgconfig(libkipi)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(libgphoto2)
BuildRequires: pkgconfig(opencv)
BuildRequires: pkgconfig(lcms)
BuildRequires: pkgconfig(lensfun)
BuildRequires: pkgconfig(lqr-1) >= 0.4.0
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(libgpod-1.0)
BuildRequires: pkgconfig(libpgf)
BuildRequires: boost-devel
BuildRequires: libxslt-devel
BuildRequires: libkvkontakte-devel 
BuildRequires: libtiff-devel
BuildRequires: libjasper-devel
BuildRequires: marble-devel
BuildRequires: libgomp-devel
BuildRequires: doxygen
BuildRequires: mysql-core
BuildRequires: mysql-common

Requires:      mysql-core
Requires:      mysql-common
Requires:      kdebase4-runtime
Requires:      qt4-database-plugin-sqlite
Requires:      kipi-plugins
Requires:      kamera
Requires:      libkface-common
Requires:      libkgeomap-common
Requires:      libkdcraw-common
Requires:      kipi-common
Requires:      marble-common
# needed by cleanup_digikamdb
Requires:      sqlite3-tools 

%description
DigiKam is an advanced digital photo management application for KDE.
Photos can be collected into albums which can be sorted chronologically,
by directory layout or by custom collections.
DigiKam also provides tagging functionality. Images can be tagged despite of
their position and digiKam provides fast and intuitive ways to browse them.
User comments and customized meta-information added to images, are stored
into a database and retrieved to make them available into the user interface.
As soon as the camera is plugged in digikam allows you to preview, download,
upload and delete images.
Digikam also includes tools like Image Editor, to modify photos using plugins
such as red eye correction or Gamma correction, exif management,...
Light Table to make artistic photos and an external image editor such
as Showfoto.
Digikam also uses KIPI plugins (KDE Image Plugin Interface) to increase
its functionalities.


%files -f %name.lang
%doc core/AUTHORS core/ChangeLog core/COPYING* core/NEWS core/README core/TODO  core/README.FACE core/TODO.FACE core/TODO.MYSQLPORT
%_kde_bindir/digikam
%_kde_bindir/digitaglinktree
%_kde_bindir/cleanup_digikamdb
%_kde_libdir/kde4/digikam*.so
%_kde_libdir/kde4/kio_digikam*.so
%_kde_appsdir/digikam
%_kde_appsdir/solid/actions/digikam*.desktop
%_kde_applicationsdir/digikam.desktop
%_kde_services/digikam*.desktop
%_kde_services/digikam*.protocol
%_kde_servicetypes/digikam*.desktop
%_kde_mandir/man1/digitaglinktree.1*
%_kde_mandir/man1/cleanup_digikamdb.1*
%_kde_iconsdir/*/*/apps/digikam.*
%_kde_libdir/kde4/libexec/digikamdatabaseserver

#-----------------------------------------------------------------------

%package -n libkface-common
Summary:     Common files for libkface library
Group:       Graphics
URL:         https://projects.kde.org/projects/extragear/libs/libkface
BuildArch:   noarch
Conflicts:   %name < 1:2.0.0-0.rc1.2
%description -n libkface-common
Common files for libkface library.

Libkface is a Qt/C++ wrapper around LibFace library to perform face recognition 
and detection over pictures.


%files -n libkface-common
%doc extra/libkface/README extra/libkface/TODO extra/libkface/AUTHORS extra/libkface/COPYING
%_kde_appsdir/libkface

#-----------------------------------------------------------------------

%package -n libkgeomap-common
Summary:    Common files for libkgeomap library
Group:      Graphics
URL:        https://projects.kde.org/projects/extragear/libs/libkgeomap
BuildArch:  noarch
Conflicts: %name < 1:2.0.0-0.rc1.2

%description -n libkgeomap-common
Common files for libkgeomap library

Libkgeomap is a wrapper around world map components as Marble, OpenstreetMap and
GoogleMap,for browsing and arranging photos on a map.

%files -n libkgeomap-common -f libkgeomap.lang
%doc extra/libkgeomap/README extra/libkgeomap/AUTHORS
%_kde_appsdir/libkgeomap

#-----------------------------------------------------------------------

%package -n     showfoto
Summary:        Fast Image Editor
Group:          Graphics
Requires:       libkdcraw-common

%description -n showfoto
Showfoto is a fast Image Editor with powerful image editing tools.
You can use it to view your photographs and improve them.

%files -n showfoto -f showfoto.lang

%_kde_bindir/showfoto
%_kde_datadir/applications/kde4/showfoto.desktop
%_kde_appsdir/showfoto
%_kde_iconsdir/*/*/apps/showfoto.*

#-----------------------------------------------------------------------

%define libdigikamdatabase_major 2
%define libdigikamdatabase %mklibname digikamdatabase %libdigikamdatabase_major

%package -n %libdigikamdatabase
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %libdigikamdatabase
Librairie File needed by %name

%files -n %libdigikamdatabase

%_kde_libdir/libdigikamdatabase.so.%{libdigikamdatabase_major}*

#-----------------------------------------------------------------------

%define libdigikamcore_major 2
%define libdigikamcore %mklibname digikamcore %libdigikamcore_major

%package -n %libdigikamcore
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %libdigikamcore
Librairie File needed by %name

%files -n %libdigikamcore

%_kde_libdir/libdigikamcore.so.%{libdigikamcore_major}*

#-----------------------------------------------------------------------

%define libkface_major 1
%define libkface %mklibname kface %libkface_major

%package -n %libkface
Summary: Runtime library for %{name}
Group: System/Libraries
URL:   https://projects.kde.org/projects/extragear/libs/libkface
%description -n %libkface
Librairie File needed by %name

Libkface is a Qt/C++ wrapper around LibFace library to perform face recognition 
and detection over pictures.

%files -n %libkface

%_kde_libdir/libkface.so.%{libkface_major}*

#-----------------------------------------------------------------------

%define libkgeomap_major 1
%define libkgeomap %mklibname kgeomap %libkgeomap_major
%define libkmap %mklibname kmap 1

%package -n %libkgeomap
Summary: Runtime library for %{name}
Group: System/Libraries
URL:   https://projects.kde.org/projects/extragear/libs/libkgeomap
Obsoletes: %libkmap < 1:2.0.0-0.rc1.2

%description -n %libkgeomap
Librairie File needed by %name

Libkgeomap is a wrapper around world map components as Marble, OpenstreetMap and
GoogleMap,for browsing and arranging photos on a map.

%files -n %libkgeomap

%_kde_libdir/libkgeomap.so.%{libkgeomap_major}*

#-----------------------------------------------------------------------

%define libmediawiki_major 1
%define libmediawiki %mklibname mediawiki %libmediawiki_major

%package -n %libmediawiki
Summary:    Runtime library for %{name}
Group:      System/Libraries
URL:        https://projects.kde.org/projects/extragear/libs/libmediawiki

%description -n %libmediawiki
Librairie File needed by %name

libmediawiki is a KDE C++ interface for MediaWiki based web service as wikipedia.org.

%files -n %libmediawiki

%_kde_libdir/libmediawiki.so.%{libmediawiki_major}*

#-----------------------------------------------------------------------

%define libkipiplugins_major 2
%define libkipiplugins %mklibname kipiplugins %libkipiplugins_major

%package -n %libkipiplugins
Summary:    Runtime library for %{name}
Group:      System/Libraries

%description -n %libkipiplugins
Librairie File needed by %name

%files -n %libkipiplugins

%_kde_libdir/libkipiplugins.so.%{libkipiplugins_major}*

#-----------------------------------------------------------------------

%package -n kipi-plugins
Summary:    KDE image Interface Plugins
Group:      System/Libraries
URL:        https://projects.kde.org/projects/extragear/graphics/kipi-plugins
BuildArch:  noarch
Suggests:   kipi-plugins-timeadjust
Suggests:   kipi-plugins-smug
Suggests:   kipi-plugins-shwup
Suggests:   kipi-plugins-piwigoexport
Suggests:   kipi-plugins-picasa
Suggests:   kipi-plugins-metadataedit
Suggests:   kipi-plugins-kopete
Suggests:   kipi-plugins-kioexportimport
Suggests:   kipi-plugins-jpeglossless
Suggests:   kipi-plugins-ipodexport
Suggests:   kipi-plugins-imageviewer
Suggests:   kipi-plugins-htmlexport
Suggests:   kipi-plugins-debianscreenshot
Suggests:   kipi-plugins-gpssync
Suggests:   kipi-plugins-flickr
Suggests:   kipi-plugins-expoblending
Suggests:   kipi-plugins-calendar
Suggests:   kipi-plugins-batchprocess
Suggests:   kipi-plugins-advancedslideshow
Suggests:   kipi-plugins-printimages
Suggests:   kipi-plugins-dngconverter
Suggests:   kipi-plugins-galleryexport
Suggests:   kipi-plugins-flashexport
Suggests:   kipi-plugins-facebook
Suggests:   kipi-plugins-acquireimages
Suggests:   kipi-plugins-rawconverter
Suggests:   kipi-plugins-removeredeyes
Suggests:   kipi-plugins-sendimages
Suggests:   kipi-plugins-youtube
Suggests:   kipi-plugins-kmlexport
Suggests:   kipi-plugins-yandexfotki
Suggests:   kipi-plugins-rajceexport
Suggests:   kipi-plugins-panorama
Suggests:   kipi-plugins-vkontakte

%description -n kipi-plugins
The library of the KDE Image Plugin Interface.

Libkipi allows image applications to use a plugin architecture
for additional functionality such as: RawConverter, SlideShow, 
ImagesGallery, HTMLExport, PrintAssistant...

%files -n kipi-plugins -f kipiplugins.lang

%doc extra/kipi-plugins/AUTHORS extra/kipi-plugins/COPYING extra/kipi-plugins/COPYING-ADOBE extra/kipi-plugins/README extra/kipi-plugins/TODO extra/kipi-plugins/NEWS
%_kde_applicationsdir/kipiplugins.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-timeadjust
Summary:    Time Adjust kipi plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-timeadjust
A Tool to adjust time and date.

%files -n kipi-plugins-timeadjust -f kipiplugin_timeadjust.lang

%_kde_libdir/kde4/kipiplugin_timeadjust.so
%_kde_iconsdir/hicolor/*/actions/timeadjust.png
%_kde_services/kipiplugin_timeadjust.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-smug
Summary:    Smug Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-smug
A tool to import/export images to/from SmugMug web service.

%files -n kipi-plugins-smug -f kipiplugin_smug.lang

%_kde_libdir/kde4/kipiplugin_smug.so
%_kde_iconsdir/hicolor/*/actions/smugmug.png
%_kde_iconsdir/hicolor/scalable/actions/smugmug.svgz
%_kde_services/kipiplugin_smug.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-shwup
Summary:    Shwup Kipi Plugins
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-shwup
A tool to export images to a remote Shwup web service.

%files -n kipi-plugins-shwup -f kipiplugin_shwup.lang

%_kde_libdir/kde4/kipiplugin_shwup.so
%_kde_iconsdir/hicolor/*/actions/shwup.png
%_kde_services/kipiplugin_shwup.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-piwigoexport
Summary:    Piwi Go Export
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-piwigoexport
A tool to export images to a remote Piwigo.

%files -n kipi-plugins-piwigoexport -f kipiplugin_piwigoexport.lang

%_kde_libdir/kde4/kipiplugin_piwigoexport.so
%_kde_appsdir/kipiplugin_piwigoexport
%_kde_services/kipiplugin_piwigoexport.desktop
%_kde_iconsdir/hicolor/scalable/actions/piwigo.svgz
%_kde_iconsdir/hicolor/*/actions/piwigo.png

#-----------------------------------------------------------------------

%package -n kipi-plugins-picasa
Summary:    Picasa Kipi Plugins
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-picasa
A tool to export images to a remote Picase Web Service

%files -n kipi-plugins-picasa -f kipiplugin_picasawebexport.lang

%_kde_libdir/kde4/kipiplugin_picasawebexport.so
%_kde_services/kipiplugin_picasawebexport.desktop
%_kde_iconsdir/hicolor/scalable/actions/picasa.svgz
%_kde_iconsdir/hicolor/*/actions/picasa.png

#-----------------------------------------------------------------------

%package -n kipi-plugins-metadataedit
Summary:    Meta Data Edit kipi plugins
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-metadataedit
A tool to edit EXIF,IPTC and XMP metadata.

%files -n kipi-plugins-metadataedit -f kipiplugin_metadataedit.lang

%_kde_libdir/kde4/kipiplugin_metadataedit.so
%_kde_services/kipiplugin_metadataedit.desktop
%_kde_iconsdir/hicolor/*/actions/metadataedit.png

#-----------------------------------------------------------------------

%package -n kipi-plugins-kopete
Summary:    Kopete kipi plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   kipi-common

%description -n kipi-plugins-kopete 
A tool to export images to an instant messaging contact.

%files -n kipi-plugins-kopete 

%{_kde_libdir}/kde4/kipiplugin_kopete.so
%_kde_services/kipiplugin_kopete.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-kioexportimport
Summary:    Kio Export Import Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   kipi-common

%description -n kipi-plugins-kioexportimport
A tool to export pictures to or import from a remote directory that is
accessible via KIO.

%files -n kipi-plugins-kioexportimport -f kipiplugin_kioexportimport.lang

%_kde_libdir/kde4/kipiplugin_kioexportimport.so
%_kde_services/kipiplugin_kioexportimport.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-jpeglossless
Summary:    Jpeg Lossless Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-jpeglossless
A tool to rotate/flip images without losing quality.

%files -n kipi-plugins-jpeglossless -f kipiplugin_jpeglossless.lang

%_kde_libdir/kde4/kipiplugin_jpeglossless.so
%_kde_services/kipiplugin_jpeglossless.desktop
%_kde_iconsdir/hicolor/*/actions/flip-horizontal.png
%_kde_iconsdir/hicolor/*/actions/grayscaleconvert.png

#-----------------------------------------------------------------------

%package -n kipi-plugins-ipodexport
Summary:    Ipod Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   kipi-common

%description -n kipi-plugins-ipodexport
A tool to export pictures to an Ipod device.

%files -n kipi-plugins-ipodexport -f kipiplugin_ipodexport.lang

%_kde_libdir/kde4/kipiplugin_ipodexport.so
%_kde_services/kipiplugin_ipodexport.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-imageviewer
Summary:    Image Viewer Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-imageviewer 
A tool to preview images using OpenGl.

%files -n kipi-plugins-imageviewer -f kipiplugin_imageviewer.lang

%_kde_libdir/kde4/kipiplugin_imageviewer.so
%_kde_appsdir/kipiplugin_imageviewer
%_kde_services/kipiplugin_imageviewer.desktop
%_kde_iconsdir/hicolor/*/actions/ogl.png 

#-----------------------------------------------------------------------

%package -n kipi-plugins-htmlexport
Summary:    Html Export Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-htmlexport
A tool to export images collections into a static XHTML page.

%files -n kipi-plugins-htmlexport -f kipiplugin_htmlexport.lang

%_kde_libdir/kde4/kipiplugin_htmlexport.so
%_kde_services/kipiplugin_htmlexport.desktop
%_kde_appsdir/kipiplugin_htmlexport

#-----------------------------------------------------------------------

%package -n kipi-plugins-debianscreenshot
Summary:    Debian Screenshot kipi plugins
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-debianscreenshot
A tool to export images to the Debian Screenshots site.

%files -n kipi-plugins-debianscreenshot 
 
%_kde_libdir/kde4/kipiplugin_debianscreenshots.so 
%_kde_services/kipiplugin_debianscreenshots.desktop
%_kde_iconsdir/hicolor/*/actions/debianscreenshots.png 
%_kde_iconsdir/hicolor/scalable/actions/debianscreenshots.svgz

#-----------------------------------------------------------------------

%package -n kipi-plugins-gpssync
Summary:    GPS Sync Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   kipi-common

%description -n kipi-plugins-gpssync
A tool to geolocalize pictures.

%files -n kipi-plugins-gpssync -f kipiplugin_gpssync.lang

%_kde_appsdir/gpssync
%_kde_libdir/kde4/kipiplugin_gpssync.so
%_kde_services/kipiplugin_gpssync.desktop
%_kde_iconsdir/hicolor/*/actions/gpsimagetag.png

#-----------------------------------------------------------------------

%package -n kipi-plugins-flickr
Summary:    Flick Export Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-flickr
A tool to export images to a remote Flickr, 23 and Zoomr web services.

%files -n kipi-plugins-flickr -f kipiplugin_flickrexport.lang

%_kde_libdir/kde4/kipiplugin_flickrexport.so
%_kde_services/kipiplugin_flickrexport.desktop
%_kde_iconsdir/hicolor/*/actions/flickr.png
%_kde_iconsdir/hicolor/*/actions/hq.png 
%_kde_iconsdir/hicolor/*/actions/zooomr.png
%_kde_iconsdir/hicolor/scalable/actions/flickr.svgz
%_kde_iconsdir/hicolor/scalable/actions/hq.svgz 
%_kde_iconsdir/hicolor/scalable/actions/zooomr.svgz 

#-----------------------------------------------------------------------

%package -n kipi-plugins-expoblending
Summary:    Expoblending Kipi Plugin
Group:      System/Libraries
# need align_image_stack from Hugin project and enfuse from Enblend project (runtime dependency)
Requires:   hugin
Requires:   libkdcraw-common
Requires:   kipi-common
Conflicts:  kipi-plugins < 1:1.8.0-1


%description -n kipi-plugins-expoblending
A tool to blend bracketed images.

%files -n kipi-plugins-expoblending -f kipiplugin_expoblending.lang

%_kde_bindir/expoblending
%_kde_applicationsdir/expoblending.desktop
%_kde_libdir/kde4/kipiplugin_expoblending.so
%_kde_appsdir/kipiplugin_expoblending 
%_kde_services/kipiplugin_expoblending.desktop
%_kde_iconsdir/hicolor/*/actions/expoblending.png

#-----------------------------------------------------------------------

%package -n kipi-plugins-calendar 
Summary:    Calendar Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-calendar
A tool to create calendars.

%files -n kipi-plugins-calendar -f kipiplugin_calendar.lang

%_kde_libdir/kde4/kipiplugin_calendar.so
%_kde_services/kipiplugin_calendar.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-batchprocess
Summary:    Batch Process Images Kipi Plugin
Group:      System/Libraries
# Resizing pictures need convert from imagemagick
Requires:   imagemagick
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   kipi-common

%description -n kipi-plugins-batchprocess
KIPI Batch Processing Images Plugin.

%files -n kipi-plugins-batchprocess -f kipiplugin_batchprocessimages.lang

%_kde_libdir/kde4/kipiplugin_batchprocessimages.so
%_kde_services/kipiplugin_batchprocessimages.desktop
%_kde_iconsdir/hicolor/*/actions/recompressimages.png
%_kde_iconsdir/hicolor/*/actions/renameimages.png
%_kde_iconsdir/hicolor/*/actions/resizeimages.png
%_kde_iconsdir/hicolor/*/actions/borderimages.png
%_kde_iconsdir/hicolor/*/actions/colorimages.png
%_kde_iconsdir/hicolor/*/actions/convertimages.png
%_kde_iconsdir/hicolor/*/actions/effectimages.png 
%_kde_iconsdir/hicolor/*/actions/filterimages.png 

#-----------------------------------------------------------------------

%package -n kipi-plugins-advancedslideshow
Summary:    Advanced Slideshow Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-advancedslideshow
A tool to slide images with 2D and 3D effects using OpenGL.

%files -n kipi-plugins-advancedslideshow -f kipiplugin_advancedslideshow.lang

%_kde_libdir/kde4/kipiplugin_advancedslideshow.so
%_kde_iconsdir/hicolor/*/actions/slideshow.png
%_kde_services/kipiplugin_advancedslideshow.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-printimages
Summary:    Print Images Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-printimages
A tool to print images in various formats.

%files -n kipi-plugins-printimages -f kipiplugin_printimages.lang

%_kde_libdir/kde4/kipiplugin_printimages.so
%_kde_services/kipiplugin_printimages.desktop
%_kde_appsdir/kipiplugin_printimages/

#-----------------------------------------------------------------------

%package -n kipi-plugins-dngconverter
Summary:    Dng converter Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-dngconverter
A tool to convert Raw Image to Digital NeGative.

%files -n kipi-plugins-dngconverter -f kipiplugin_dngconverter.lang

%_kde_bindir/dngconverter
%_kde_bindir/dnginfo
%_kde_applicationsdir/dngconverter.desktop
%_kde_libdir/kde4/kipiplugin_dngconverter.so
%_kde_services/kipiplugin_dngconverter.desktop
%_kde_iconsdir/hicolor/*/apps/dngconverter.png
%_kde_iconsdir/hicolor/scalable/apps/dngconverter.svgz

#-----------------------------------------------------------------------

%package -n kipi-plugins-galleryexport
Summary:    Gallery Export Kipi Plugin
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-galleryexport
A tool to export images to a remote Gallery.

%files -n kipi-plugins-galleryexport -f kipiplugin_galleryexport.lang

%_kde_libdir/kde4/kipiplugin_galleryexport.so
%_kde_appsdir/kipiplugin_galleryexport
%_kde_services/kipiplugin_galleryexport.desktop
%_kde_iconsdir/hicolor/*/actions/gallery.png
%_kde_iconsdir/hicolor/scalable/actions/gallery.svgz

#-----------------------------------------------------------------------

%package -n kipi-plugins-flashexport
Summary:    Flash export kipi-plugins
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-flashexport
A tool to export images to Flash.

%files -n kipi-plugins-flashexport -f kipiplugin_flashexport.lang

%_kde_libdir/kde4/kipiplugin_flashexport.so
%_kde_appsdir/kipiplugin_flashexport
%_kde_services/kipiplugin_flashexport.desktop
%_kde_iconsdir/hicolor/*/actions/flash.png
%_kde_iconsdir/hicolor/scalable/actions/flash.svgz

#-----------------------------------------------------------------------

%package -n kipi-plugins-facebook
Summary:    Facebook kipi plugins
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-facebook
A tool to import/export images to/from a remote Facebook web service.

%files -n kipi-plugins-facebook -f kipiplugin_facebook.lang

%_kde_libdir/kde4/kipiplugin_facebook.so
%_kde_services/kipiplugin_facebook.desktop
%_kde_iconsdir/hicolor/*/actions/facebook.png
%_kde_iconsdir/hicolor/scalable/actions/facebook.svgz

#-----------------------------------------------------------------------

%package -n kipi-plugins-acquireimages
Summary:    Acquireimages
Group:      System/Libraries
Requires:   kipi-common
Conflicts:  kipi-plugins < 1:1.8.0-1

%description -n kipi-plugins-acquireimages
A tool to acquire images using flat scanner.

%files -n kipi-plugins-acquireimages -f kipiplugin_acquireimages.lang

%_kde_bindir/scangui
%_kde_libdir/kde4/kipiplugin_acquireimages.so
%_kde_services/kipiplugin_acquireimages.desktop 
%_kde_applicationsdir/scangui.desktop 

#-----------------------------------------------------------------------

%package -n kipi-plugins-rawconverter
Summary:    Rawconverter kipi plugins
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-rawconverter
A tool to convert Raw Image to JPEG/PNG/TIFF.

%files -n kipi-plugins-rawconverter -f kipiplugin_rawconverter.lang

%_kde_libdir/kde4/kipiplugin_rawconverter.so
%_kde_iconsdir/oxygen/*/apps/rawconverter.png
%_kde_services/kipiplugin_rawconverter.desktop
%_kde_iconsdir/oxygen/scalable/apps/rawconverter.svgz

#-----------------------------------------------------------------------

%package -n kipi-plugins-removeredeyes
Summary:    Remove red eyes kipi-plugins
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   kipi-common

%description -n kipi-plugins-removeredeyes
A tool to remove red eyes automatically from images.

%files -n kipi-plugins-removeredeyes -f kipiplugin_removeredeyes.lang

%_kde_libdir/kde4/kipiplugin_removeredeyes.so
%_kde_datadir/apps/kipiplugin_removeredeyes
%_kde_services/kipiplugin_removeredeyes.desktop 

#-----------------------------------------------------------------------

%package -n kipi-plugins-sendimages
Summary:    Send Images kipi plugins
Group:      System/Libraries
Conflicts:  kipi-plugins < 1:1.8.0-1
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-sendimages
A tool to send images by e-mail.

%files -n kipi-plugins-sendimages -f kipiplugin_sendimages.lang

%_kde_libdir/kde4/kipiplugin_sendimages.so 
%_kde_services/kipiplugin_sendimages.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-kmlexport
Summary:    Create KML files to present images with coordinates
Group:      System/Libraries
Requires:   kipi-common

%description -n kipi-plugins-kmlexport 
A plugin to create KML files to present images with coordinates.

%files -n kipi-plugins-kmlexport 

%_kde_libdir/kde4/kipiplugin_kmlexport.so
%_kde_services/kipiplugin_kmlexport.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-yandexfotki
Summary:    Yandex.Fotki Exporter
Group:      System/Libraries
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-yandexfotki
A tool to export images to a remote Yandex.Fotki web service.

%files -n kipi-plugins-yandexfotki 

%_kde_libdir/kde4/kipiplugin_yandexfotki.so
%_kde_services/kipiplugin_yandexfotki.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-rajceexport
Summary:    Rajce.net Exporter
Group:      System/Libraries
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-rajceexport
A tool to export images to a remote rajce.net service.

%files -n kipi-plugins-rajceexport 

%_kde_libdir/kde4/kipiplugin_rajceexport.so
%_kde_services/kipiplugin_rajceexport.desktop
%_kde_iconsdir/hicolor/*/actions/rajce.png


#-----------------------------------------------------------------------
%package -n kipi-plugins-photolayouts-editor
Obsoletes: kipiplugin-photolayouts-editor
Summary: Photo Layouts Editor
Group:  System/Libraries
Requires: kipi-common
%description -n kipi-plugins-photolayouts-editor
Photo Layouts Editor.
%files -n kipi-plugins-photolayouts-editor

%_kde_bindir/photolayoutseditor
%_kde_iconsdir/hicolor/*/apps/photolayoutseditor.png
%_kde_services/kipiplugin_photolayoutseditor.desktop
%_kde_datadir/kde4/servicetypes/photolayoutseditorborderplugin.desktop
%_kde_datadir/kde4/servicetypes/photolayoutseditoreffectplugin.desktop
%_kde_libdir/kde4/kipiplugin_photolayoutseditor.so
%_kde_applicationsdir/photolayoutseditor.desktop
%_kde_appsdir/photolayoutseditor/photolayoutseditorui.rc
%_kde_datadir/config.kcfg/PLEConfigSkeleton.kcfgc
%_kde_datadir/templates/kipiplugins_photolayoutseditor


#-----------------------------------------------------------------------

%package -n kipi-plugins-panorama
Summary:    Panorama tools
Group:      System/Libraries
Requires:   libkdcraw-common
Requires:   kipi-common
Requires:   hugin

%description -n kipi-plugins-panorama
A tool to create panorama.

%files -n kipi-plugins-panorama 

%_kde_bindir/panoramagui
%_kde_libdir/kde4/kipiplugin_panorama.so
%_kde_appsdir/kipiplugin_panorama/
%_kde_services/kipiplugin_panorama.desktop 
%_kde_applicationsdir/panoramagui.desktop

#-----------------------------------------------------------------------

%package -n kipi-plugins-imageshackexport
Summary:    ImagesShack export plugin
Group:      System/Libraries
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-imageshackexport
A tool to upload pictures and videos to ImagesShack web service.

%files -n kipi-plugins-imageshackexport 

%_kde_libdir/kde4/kipiplugin_imageshackexport.so
%_kde_services/kipiplugin_imageshackexport.desktop
%_kde_iconsdir/hicolor/*/actions/imageshack.png

#-----------------------------------------------------------------------

%package -n kipi-plugins-imgurexport
Summary:    Imgur export plugin
Group:      System/Libraries
Requires:   kipi-common

%description -n kipi-plugins-imgurexport
A tool to export images to the imgur.com image hosting service

%files -n kipi-plugins-imgurexport

%_kde_libdir/kde4/kipiplugin_imgurexport.so
%_kde_services/kipiplugin_imgurexport.desktop
%_kde_iconsdir/hicolor/*/actions/imgur.*

#-----------------------------------------------------------------------

%package -n kipi-plugins-wikimedia
Summary:    ImagesShack export plugin
Group:      System/Libraries
Requires:   libkdcraw-common
Requires:   kipi-common

%description -n kipi-plugins-wikimedia
A tool to export to Wikimedia.

%files -n kipi-plugins-wikimedia 

%_kde_libdir/kde4/kipiplugin_wikimedia.so
%_kde_services/kipiplugin_wikimedia.desktop
%_kde_iconsdir/hicolor/*/actions/wikimedia.*

#-----------------------------------------------------------------------

%package -n kipi-plugins-vkontakte
Summary:    VKontakte.ru Exporter
Group:      System/Libraries
Requires:   kipi-common


%description -n kipi-plugins-vkontakte
A tool to export on VKontakte.ru Web service

%files -n kipi-plugins-vkontakte -f libkvkontakte.lang

%_kde_libdir/kde4/kipiplugin_vkontakte.so
%_kde_services/kipiplugin_vkontakte.desktop


#-----------------------------------------------------------------------
%define libnamedev %mklibname digikam -d


%define libmediawiki_devel %mklibname -d mediawiki
%package -n %libmediawiki_devel
Summary:     Headers to build packages against libmediawiki library
Group:       Development/C
Conflicts:   %libnamedev < 1:2.0.0-rc1.2
Requires:    %libmediawiki = %epoch:%version-%release
Provides:    libmediawiki-devel = %epoch:%version-%release

%description -n %libmediawiki_devel
This package contains the libraries and headers files needed to develop progams
which make use of libmediawiki library.

libmediawiki is a KDE C++ interface for MediaWiki based web service as 
wikipedia.org.


%files -n %libmediawiki_devel

%_includedir/libmediawiki
%_kde_libdir/libmediawiki.so
%_kde_libdir/pkgconfig/libmediawiki.pc
%_kde_appsdir/cmake/modules/FindMediawiki.cmake

#-----------------------------------------------------------------------

%define libkface_devel %mklibname -d kface
%package -n  %libkface_devel
Summary:     Headers to build packages against libkface library
Group:       Development/C
Conflicts:   %libnamedev < 1:2.0.0-rc1.2
Requires:    %libkface = %epoch:%version-%release
Requires:    libkface-common
Provides:    kface-devel = %version-%release
Provides:    libkface-devel = %version-%release

%description -n %libkface_devel
This package contains the libraries and headers files needed to develop progams
which make use of libkface library.

Libkface is a Qt/C++ wrapper around LibFace library to perform face recognition 
and detection over pictures.

%files -n %libkface_devel

%_includedir/libkface
%_kde_libdir/libkface.so
%_kde_libdir/pkgconfig/libkface.pc
%_kde_appsdir/cmake/modules/FindKface.cmake

#-----------------------------------------------------------------------

%define libkgeomap_devel %mklibname -d kgeomap
%package -n %libkgeomap_devel
Summary:     Headers to build packages against libkgeomap library
Group:       Development/C
Conflicts:   %libnamedev < 1:2.0.0-rc1.2
Requires:    libkgeomap-common
Requires:    %libkgeomap = %epoch:%version-%release
Provides:    kgeomap-devel = %version-%release
Provides:    libkgeomap-devel = %version-%release

%description -n %libkgeomap_devel
This package contains the libraries and headers files needed to develop progams
which make use of libkgeomap (old libkmap) library.

Libkgeomap is a wrapper around world map components as Marble, OpenstreetMap and
GoogleMap,for browsing and arranging photos on a map.

%files -n %libkgeomap_devel

%_includedir/libkgeomap
%_kde_libdir/libkgeomap.so
%_kde_libdir/pkgconfig/libkgeomap.pc
%_kde_appsdir/cmake/modules/FindKGeoMap.cmake

#-----------------------------------------------------------------------

%package        -n     %libnamedev
Summary:        Static libraries and headers for %name
Group:          Development/C
Provides:       %name-devel = %epoch:%version-%release
Provides:       lib%name-devel = %epoch:%version-%release
Provides:       kipi-plugins-devel = %epoch:%version-%release
Obsoletes:      kipi-plugins-devel < 1:2.0.0
Requires:       %libdigikamcore = %epoch:%version-%release
Requires:       %libdigikamdatabase = %epoch:%version-%release
Requires:       %libkgeomap_devel = %epoch:%version-%release
Requires:       %libmediawiki_devel = %epoch:%version-%release
Requires:       %libkface_devel = %epoch:%version-%release
Requires:       %libkipiplugins = %epoch:%version-%release

%description  -n     %libnamedev
%libnamedev contains the libraries and header files needed to
develop programs which make use of %name.
The library documentation is available on header files.

%files -n     %libnamedev

%_kde_libdir/libdigikamcore.so
%_kde_libdir/libdigikamdatabase.so
%_kde_libdir/libkipiplugins.so
%_kde_libdir/libPropertyBrowser.a
#-----------------------------------------------------------------------

%prep
%setup -q -n %name-software-compilation-%version-%pre_rel

rm -fr extra/libkvkontakte
#apply_patches

# Remove wallpaper po files (kipiplugin-wallpaper is not build )
pushd po
find  . -name kipiplugin_wallpaper.po -exec rm -rf '{}' \;

%build
%cmake_kde4 -DDIGIKAMSC_COMPILE_PO=ON -DDIGIKAMSC_COMPILE_DOC=ON 
%make

%install
%makeinstall_std -C build

%find_lang %name --with-html
%find_lang showfoto --with-html
%find_lang kipi-plugins --with-html
%find_lang kipiplugins 
# Merge kipi-plugins.lang & kipiplugins.lang
cat kipi-plugins.lang >> kipiplugins.lang

%find_lang kipiplugin_smug
%find_lang kipiplugin_rawconverter
%find_lang kipiplugin_sendimages
%find_lang kipiplugin_calendar
%find_lang kipiplugin_dngconverter
%find_lang kipiplugin_expoblending
%find_lang kipiplugin_facebook
%find_lang kipiplugin_flashexport
%find_lang kipiplugin_flickrexport
%find_lang kipiplugin_galleryexport
%find_lang kipiplugin_gpssync
%find_lang kipiplugin_htmlexport
%find_lang kipiplugin_imageviewer
%find_lang kipiplugin_ipodexport
%find_lang kipiplugin_jpeglossless
%find_lang kipiplugin_kioexportimport
%find_lang kipiplugin_metadataedit
%find_lang kipiplugin_picasawebexport
%find_lang kipiplugin_piwigoexport
%find_lang kipiplugin_printimages
%find_lang kipiplugin_rawconverter
%find_lang kipiplugin_removeredeyes
%find_lang kipiplugin_sendimages
%find_lang kipiplugin_shwup
%find_lang kipiplugin_timeadjust
%find_lang kipiplugin_acquireimages
%find_lang kipiplugin_advancedslideshow
%find_lang kipiplugin_batchprocessimages
%find_lang libkgeomap
%find_lang libkvkontakte


%changelog

* Thu May 10 2012 anaselli <anaselli> 1:2.6.0-0.rc.6.mga2
+ Revision: 235208
- Fixed imgurexport plugin
- new digikam 2.6.0-rc

* Mon Apr 30 2012 blino <blino> 1:2.6.0-0.beta3.5.mga2
+ Revision: 234337
- do not package ChangeLog for kipi-plugins, it is 2.3MB!

* Mon Apr 23 2012 lmenut <lmenut> 1:2.6.0-0.beta3.4.mga2
+ Revision: 233068
- Fix typo in suggested kipi-plugins-metadataedit

* Wed Apr 04 2012 zezinho <zezinho> 1:2.6.0-0.beta3.3.mga2
+ Revision: 228409
- l10n and handbooks brought back
- l10n and handbooks brought back

* Wed Apr 04 2012 zezinho <zezinho> 1:2.6.0-0.beta3.2.mga2
+ Revision: 228348
- Require sqlite3-tools for cleanup_digikamdb

* Wed Apr 04 2012 zezinho <zezinho> 1:2.6.0-0.beta3.1.mga2
+ Revision: 228329
- new version

* Sun Mar 11 2012 anaselli <anaselli> 1:2.6.0-0.beta2.3.mga2
+ Revision: 222645
- Fixed Bug 4262 - digikam no movie thumbnail

* Sun Mar 11 2012 anaselli <anaselli> 1:2.6.0-0.beta2.2.mga2
+ Revision: 222556
- Fixed printimages dialog minimum size

* Sat Mar 10 2012 anaselli <anaselli> 1:2.6.0-0.beta2.1.mga2
+ Revision: 222550
- new 2.6.0-beta2

* Tue Feb 14 2012 anaselli <anaselli> 1:2.6.0-0.beta1.1.mga2
+ Revision: 208678
- new upstream version 2.6.0 beta1

  + mikala <mikala>
    - Add marble-common as requires ( mga #4263)
    - Add kamera ioslave as a requires ( mga #4241)

* Fri Jan 06 2012 anaselli <anaselli> 1:2.5.0-1.mga2
+ Revision: 192690
- added patch to skip building kipi-plugins tests
- Added upstream patch (BKO bug#290496) to build against libkipi < 1.4.0
- Added upstream patch (BKO bug#287772) to build against boost 1.48

  + fwang <fwang>
    - new version 2.5.0
    - add more br
    - new version 2.4.1
    - new version 2.4.0

* Sat Nov 12 2011 mikala <mikala> 1:2.3.0-3.mga2
+ Revision: 166984
- Add BR for libpgf (pkgconfig(libpgf))
- Remove Conflicts against oxygen-icon-theme in showfoto
- Add patch1 & source1 to fix kde #286034 (Regression introduce in digikam)
- remove conflicts against oxygen-icon-theme (not needed anymore

* Tue Nov 08 2011 fwang <fwang> 1:2.3.0-2.mga2
+ Revision: 165211
- add conflicts on older oxygen icon theme to ease upgrade

* Mon Nov 07 2011 fwang <fwang> 1:2.3.0-1.mga2
+ Revision: 164937
- update file list
- update file list
- update file list
- rediff libvkontake patch
- new version 2.3.0

* Thu Oct 06 2011 mikala <mikala> 1:2.2.0-1.mga2
+ Revision: 152550
- Fix file list
- Rediff patch1 to use system libvtonkate
- add photolayouts-editor kipi plugin
- fix file list for panorama kipi plugin

  + fwang <fwang>
    - new version 2.2.0

  + dlucio <dlucio>
    - Just a rebuild to be sure we use new libpng

* Wed Sep 14 2011 mikala <mikala> 1:2.1.1-1.mga2
+ Revision: 143601
- Update tarbal to 2.1.1
- remove BR for libface (libkface is using an higher version)

* Wed Sep 14 2011 fwang <fwang> 1:2.1.0-2.mga2
+ Revision: 143115
- rebuild for new libpng

* Fri Sep 09 2011 mikala <mikala> 1:2.1.0-1.mga2
+ Revision: 141698
- Update tarball to 2.1.0
- Add panorama and kvkontakte kipi plugins package
- Add patch0 to build against system libkvkontakte
- Fix BuildRequires
- Update/add some URLs
- Remove %%clean section
- Minor spec changes
- Update tarball to final 2.0
- fix file list (kmap binaries are now renamed to kgeomap)
- Use %%find_langs for kipiplugins subpackages
- remove kipiplugins_wallpaper.po files (this kipiplugin is not available)
- Add kipi-common as Requires (lib(64)kipi8 should not requires kipi-common)
- Add libkdcraw-common as requires ( lib(64)kdcraw20 should not require it )
- Add imagemagick as Requires for kipi-plugins-batchprocess (convert is needed)

  + fwang <fwang>
    - rebuild for new opencv

* Mon Jul 18 2011 mikala <mikala> 1:2.0.0-0.rc.2.mga2
+ Revision: 125897
- Add patch0 from master done by my mentor (Neoclust) to fix CMake files
- Split libkface & libkmap & libkmediawiki devel packages from common package (they should be soon out of digikam SC & part of KDE SC)
  rename libkmap package to libkgeomap (name changes in upstream to fit KDE SC requirement & moved to extragear/libs)
- add hugin as a require for kipi-plugins-expoblending ( fix mga #2097)
- Clean spec :
 - Remove obsoletes & conflicts from mandriva 2009.0
 - Remove BuildRoot tag
 - Remove %%defattr(-,root,root) (not needed anymore)
 - Versionnate the Obsoletes of kipi-plugins-devel
 - use kde macros
 - Add lib%%name-devel as provides for digikam-devel package (match new -devel policy)
 - use pkgconfig() as buildrequires (match new -devel policy)
 - move -devel package @ the end of the spec
 - use spaces instead of tabs

* Mon Jul 18 2011 fwang <fwang> 1:2.0.0-0.rc.1.mga2
+ Revision: 125856
- finally update file list
- use correct para of find_lang
- update file list
- br gomp
- update file list
- clean bundled sources
- br ksane
- new version 2.0 rc

* Wed Jun 29 2011 fwang <fwang> 1.9.0-2.mga2
+ Revision: 115997
- digikam does not like marble 4.7 now
- br kipi
- rebuild for kde 4.7

* Wed Mar 02 2011 mikala <mikala> 1.9.0-1.mga1
+ Revision: 62703
- Update tarball to 1.9.0

* Fri Feb 18 2011 mikala <mikala> 1.8.0-1.mga1
+ Revision: 53395
- Update to digikam 1.8.0
- Remove kdelibs4-devel (pulled by others BR)
- imported package digikam


* Wed Jan 12 2011 John Balcaen <balcaen.john@gmail.com> 1.7.0-2mga1
- Use mageia kde's spec layout 
- Update library description & summary.
- Remove useless requires

* Sun Dec 19 2010 Funda Wang <fwang@mandriva.org> 1.7.0-1mdv2011.0
+ Revision: 623157
- new version 1.7.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use kde layout

* Tue Nov 23 2010 Buchan Milne <bgmilne@mandriva.org> 1.6.0-1mdv2011.0
+ Revision: 599940
- update to new version 1.6.0
- Tighten up library dependencies

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2011.0
+ Revision: 584881
- new version 1.5.0

  + Buchan Milne <bgmilne@mandriva.org>
    - Use fix from svn that should not break other Canon cameras

* Tue Sep 21 2010 Buchan Milne <bgmilne@mandriva.org> 1.4.0-4mdv2011.0
+ Revision: 580395
- Fix lens auto-correction to use LensType tag on Canon, instead of Lens tag - KDE bug #251920

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 1.4.0-3mdv2011.0
+ Revision: 579317
- rebuild for new libkipi

* Thu Sep 02 2010 Funda Wang <fwang@mandriva.org> 1.4.0-2mdv2011.0
+ Revision: 575184
- rebuild for new kdeedu

* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 571990
- new version 1.4.0

* Sat Jul 31 2010 John Balcaen <mikala@mandriva.org> 1.3.0-2mdv2011.0
+ Revision: 563834
- Rebuild for kde 4.5 (new marble...)

* Sun Jun 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-1mdv2010.1
+ Revision: 549234
- Fix (Build)Requires
- Fix MySQL (Build)Requires
- Fix Requires/BuildRequires
- Add buildrequires
- Update to version 1.3.0

* Fri May 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.0-4mdv2010.1
+ Revision: 546514
- Update french translation

* Tue Apr 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.0-3mdv2010.1
+ Revision: 532010
- Rebuild against new libkdcraw

* Thu Apr 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.0-2mdv2010.1
+ Revision: 530657
- Fix a bug in the cmakefile ( BKO: 232875
- Add patch to fix crash

* Mon Mar 29 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.0-1mdv2010.1
+ Revision: 528657
- Update to 1.2.0

* Sun Jan 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 498784
- Update to digikam 1.1.0

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2010.1
+ Revision: 488745
- rebuilt against libjpeg v8

* Mon Dec 21 2009 Angelo Naselli <anaselli@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 480779
- removed old shofoto.desktop patch

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to digikam 1.0.0 final

* Mon Nov 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.7.1mdv2010.1
+ Revision: 471716
- Update to 1.0.0 Rc

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.6.2mdv2010.1
+ Revision: 465207
- Rebuild against new Qt

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 1.0.0-0.6.1mdv2010.1
+ Revision: 463499
- new version beta6

* Mon Nov 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.5.3mdv2010.1
+ Revision: 463383
- Rebuild against new kde 4

* Sun Oct 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.5.2mdv2010.0
+ Revision: 456686
- Add marble-common as a Requires in showfoto

* Tue Oct 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.5.1mdv2010.0
+ Revision: 454584
- Fix file list
- Update to beta5

* Mon Aug 31 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-0.4.1mdv2010.0
+ Revision: 423029
- Fix upgrade using numbers instead of letters
- New upstream version beta4

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-0.beta3.2mdv2010.0
+ Revision: 416610
- rebuilt against libjpeg v7

* Fri Jul 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.beta3.1mdv2010.0
+ Revision: 399526
- Remove merged patches
- Update to beta3

* Thu Jul 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-0.beta2.3mdv2010.0
+ Revision: 393960
- Fix mandriva bug 52073

* Thu Jul 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-0.beta2.2mdv2010.0
+ Revision: 393908
- Enable liquid rescale

* Mon Jul 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.beta2.1mdv2010.0
+ Revision: 392708
- Fix build
- Update to digikam 1.0.0-beta2

* Mon Jun 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.beta1.1mdv2010.0
+ Revision: 383855
- Update to 1.0.0 Beta1

* Wed Apr 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-6mdv2009.1
+ Revision: 367583
- Add a require on marble-common

* Tue Apr 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-5mdv2009.1
+ Revision: 367239
- Split showfoto on its own package to avoid useless on default install
- Remove old macros
- Digikam does not need marble, only marble libs

* Thu Apr 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-3mdv2009.1
+ Revision: 365357
- Add kipi-plugins as requires

* Mon Mar 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-2mdv2009.1
+ Revision: 356259
- New version 0.10 final

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.rc2.3mdv2009.1
+ Revision: 340820
- Update to Rc2

* Fri Jan 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.rc1.3mdv2009.1
+ Revision: 333096
- Update to Rc1
- Revert commit 331703, digikam requires kdebase4-runtime which Requires oxygen-icon-theme
  so this requires is useless.

  + Bruno Cornec <bcornec@mandriva.org>
    - Tag 3: Adds a dependency on oxygen-icon-theme as digikam 0.10 doesn't work correctly without it in KDE 4 (after upgrading from 0.9 and KDE 3.5)

* Tue Jan 13 2009 Funda Wang <fwang@mandriva.org> 0.10.0-1.beta8.2mdv2009.1
+ Revision: 328978
- digikam.desktop is already translated
- fix file list
- fix linkage

  + Emmanuel Blindauer <blindauer@mandriva.org>
    - rebuild for latest kdelibs

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to beta8

* Fri Dec 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta7.1mdv2009.1
+ Revision: 316353
- Update to beta7

* Sun Dec 14 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta6.4mdv2009.1
+ Revision: 314392
- Sync with trunk

* Fri Nov 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta6.3mdv2009.1
+ Revision: 307511
- Update to latest beta6
  Add new libdigikamcore libs
  Remove libdigikam lib

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 0.10.0-1.beta5.3mdv2009.1
+ Revision: 305980
- rebuild for new libkipi

* Sat Nov 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta5.2mdv2009.1
+ Revision: 303390
- Remove duplicate files

* Wed Nov 05 2008 Angelo Naselli <anaselli@mandriva.org> 0.10.0-1.beta5.1mdv2009.1
+ Revision: 299963
- new version 0.10.0 beta5

* Sun Oct 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta4.1mdv2009.1
+ Revision: 297477
- Update to digikam 0.10.0 beta4

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 0.10.0-1.beta3.2mdv2009.0
+ Revision: 289701
- Updated desktop file as requested by translation team

* Thu Sep 11 2008 Angelo Naselli <anaselli@mandriva.org> 0.10.0-1.beta3.1mdv2009.0
+ Revision: 283824
- new version 0.10.0 beta3

* Mon Aug 04 2008 Angelo Naselli <anaselli@mandriva.org> 0.10.0-1.beta2.1mdv2009.0
+ Revision: 263076
- new version 0.10.0 beta2

* Mon Jul 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.838532.1mdv2009.0
+ Revision: 251744
- New shapshot

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 0.10.0-0.824037.2mdv2009.0
+ Revision: 228792
- Update from svn
- Added requries for new liblens
- Up to date digikam form svn

  + Colin Guthrie <cguthrie@mandriva.org>
    - Update snapshot
    - Update BuildRequires now that kdcraw, kipi and kexiv2 are part of kdegraphics4
    - Fix the Require on qt4-sqlite plugin (update needed in qt4 to fix properly)
    - Tidy up %%post/%%postun scripts
    - Work around GCC 4.3.1 bug

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Requires ( Reported on cooker Mailing List)

* Tue May 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.809821.4mdv2009.0
+ Revision: 209317
- Fix conflicts against oxygen-icon-theme

* Mon May 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.809821.3mdv2009.0
+ Revision: 209188
- Add kdeedu4-devel as BuildRequire

* Mon May 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.809821.2mdv2009.0
+ Revision: 209170
- Fix tarball
- Fix FileList
- New snapshot
- Fix spec file with new name
- Use kde4 apps by default
- Fix BuildRequires

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description

* Fri Dec 28 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.753592.1mdv2008.1
+ Revision: 138817
- Add buildrequire (liblcms-devel)
- Fix pkgconfig dir
- import kde4-digikam


* Mon Apr 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-6mdv2007.1
+ Revision: 150186
- Add a real group :/

* Sat Mar 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-5mdv2007.1
+ Revision: 149979
- Add doc sub-package (asked by  Angelo)

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 0.9.1-4mdv2007.1
+ Revision: 144495
- drop INSTALL file
- move 1MB ChangeLog in devel package

* Thu Mar 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-3mdv2007.1
+ Revision: 138538
- Fix UTF-8 issues

* Mon Mar 05 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-1mdv2007.1
+ Revision: 132920
- 0.9.1 final
- rebuilt for new libexiv2

* Fri Mar 02 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.rc2.2mdv2007.1
+ Revision: 131107
- fix bug #28152

* Wed Feb 28 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.rc2.1mdv2007.1
+ Revision: 127049
- new version 0.9.1-rc2

* Tue Feb 20 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.rc1.1mdv2007.1
+ Revision: 123164
- new 0.9.1-rc1

* Thu Feb 15 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.beta1.2mdv2007.1
+ Revision: 121439
- rebuilt
- Provides name and version for devel package
- new version 0.9.1-beta1a
- removed useless dependency

* Mon Dec 18 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-1mdv2007.1
+ Revision: 98901
- New version 0.9.0

* Sun Dec 10 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-0.rc2.2mdv2007.1
+ Revision: 94539
- forgot to changing release version
- fix BKO bug 138620: Saving a picture can overwrite another one

* Thu Dec 07 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-0.rc2.1mdv2007.1
+ Revision: 92064
- New version 0.9.0-rc2

* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-0.rc1.2mdv2007.1
+ Revision: 90469
- removed libkexif dependency and rebuilt for new libexiv

* Thu Nov 23 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-0.rc1.1mdv2007.1
+ Revision: 86552
- 0.9.0-rc1
  (a day I will submit this package when rebuild-bot will work...)

* Sun Oct 22 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-0.beta3.1mdv2007.1
+ Revision: 71656
- 0.9.0-beta3

* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com> 0.8.2-6mdv2007.0
+ Revision: 56175
- Recompile against new gphoto2

* Tue Aug 08 2006 Helio Chissini de Castro <helio@mandriva.com> 0.8.2-5mdv2007.0
+ Revision: 53913
- Trying to do it right:
- Readd to subversion.
- Cleanup spec
- Added proper configure
- Removed invalid patches
- move kioslaves for proper package
- import digikam-0.8.2-2mdv2007.0

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 14:37:23 (41618)
- Fix release number

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:47:36 (41600)
- fix generate desktop file

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:25:13 (41596)
- Fix typo

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:15:40 (41594)
- 0.8.2

* Sat Jul 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-30 16:41:39 (38257)
- rebuild against latest libgphoto

* Sat Jul 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-30 10:45:50 (38215)
- import digikam-0.8.2-0.rc1.2mdv2007.0

* Thu Jun 08 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-0.rc1.2
- Fix requires

* Mon May 15 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-0.rc1.1
- 0.8.2-rc1

* Wed May 10 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-4
- Rebuild to generate new category

* Sun Apr 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.1-3mdk
- Add Requires (#22104)

* Tue Feb 28 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-2
- Fix conflict when we compile with kdelibs-3.5.1

* Mon Jan 16 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-1
- 0.8.1

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-5mdk
- rebuilt due to package loss

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 0.8.0-4mdk
- Rebuild

* Thu Dec 15 2005 Till Kamppeter <till@mandriva.com> 0.8.0-3mdk
- Printing out of the image editor required unreasonably much memory,
  so that it took either more than half an hour per picture or the
  CUPS filtering process crashed. Fixed with patch from
  http://mail.kde.org/pipermail/digikam-devel/2005-December/002495.html
  (patch 6).

* Tue Dec 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-2 
- Why buildrequires on kdesdk ?

* Sun Nov 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-1 
- 0.8.0

* Tue Nov 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.0-rc1.3mdk
- add BuildRequires: sqlite3-devel

* Tue Nov 15 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-rc1.2mdk
- Rebuild

* Sun Nov 13 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-rc1.1
- Rc1

* Sat Nov 05 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-beta2.2
- Fix spec file

* Tue Oct 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-beta2.1
- 0.8.0-beta2

* Wed Aug 17 2005 Till Kamppeter <till@mandriva.com> 0.7.3-2mdk
- Mase digiKam the default application being launched when clicking
  a digital camera desktop icon (if digiKam is not installed, flphoto
  will be started instead).

* Tue Jul 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1
- 0.7.3

* Sat Jun 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2. 3
- Real use beta2 package

* Sat May 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2. 2
- Rebuild

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2.1mdk
- beta2

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1. 3
- Fix Requires

* Wed Apr 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1. 2
- Reapply patch1 (rediff from neoclust)

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1.1mdk
- 0.7.3-beta1

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 0.7.2-2mdk
- Added "Requires: libgphoto-hotplug" (bug 15135).

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.3mdk
- Fix icon in showFoto

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.7.2-0.beta1.2mdk
- added conflicts with old digikam-plugins (Frederik Himpe)
- DistroSpecificReleaseTag suppor

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.1mdk
- 0.7.2-beta1

* Tue Jan 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.1-0.beta2.4mdk
- add BuildRequires: libgdbm-devel

* Sat Dec 25 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-0.beta2.3mdk
- use automake1.8
- wipe out buildroot in %%install  , not %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.2mdk
- Rebuild with new libkexif

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.1mdk
- 0.7.2-beta2

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.2mdk
- Fix menu

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.1mdk
- 0.7.1-beta1

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Fix menu

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.2mdk
- Reapply Gb fixe (sorry :( )

* Wed Nov 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.1mdk
- 0.7

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Translate phto directory

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Add patch1: fix default photo directory

* Sat Jun 19 2004 Laurent Culioli <laurent@mandrake.org> 0.6.2-1mdk
- 0.6.2
- add menu icons

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.3mdk
- Rebuilld

* Wed Jun 02 2004 Marcel Pol <mpol@mandrake.org> 0.6.2-0.rc1.2mdk
- buildrequires (slbd)
- drop WANT_AUTOCONF_2_5

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.1mdk
- 0.6.2-rc1

* Fri May 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

